User:Kuhlau/common.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
Undid revision 8906 by Kuhlau (talk)
Tags: Replaced Undo
 
Line 1: Line 1:
:root, button, input, textarea, body.rubik {
:root, button, input, textarea, body.rubik {
     font-family: rubik,helvetica,arial,sans-serif !important;
     font-family: rubik,helvetica,arial,sans-serif !important;
}
.mw-parser-output .portable-infobox ol,
.mw-parser-output .portable-infobox ul {
  list-style-position:outside;
  margin:0 0 0 15px;
  text-align:initial
}
.mw-parser-output .portable-infobox ol ol,
.mw-parser-output .portable-infobox ol ul,
.mw-parser-output .portable-infobox ul ol,
.mw-parser-output .portable-infobox ul ul {
  margin-left:3px;
  margin-top:6px;
  padding-left:9px
}
.mw-parser-output .portable-infobox p,
.mw-parser-output .portable-infobox section {
  margin-bottom:0
}
.mw-parser-output .portable-infobox h2,
.mw-parser-output .portable-infobox h3 {
  border-bottom:0;
  font-family:inherit;
  font-weight:700;
  margin:0
}
.mw-parser-output .portable-infobox .pi-title {
  font-size:18px;
  line-height:1.25;
  padding:12px 9px
}
.mw-parser-output .portable-infobox .pi-header {
  font-size:14px;
  line-height:1.25;
  padding:9px
}
.mw-parser-output .portable-infobox .pi-data-label {
  font-size:12px;
  line-height:1.5
}
.portable-infobox {
  --pi-background:var(--theme-page-background-color);
  --pi-secondary-background:var(--theme-accent-color);
  --pi-secondary-background--label:var(--theme-accent-label-color);
  --pi-border-color:rgba(var(--theme-accent-color--rgb),0.5);
  border-radius:3px;
  border-style:solid;
  border-width:1px;
  clear:right;
  float:right;
  margin:0 0 18px 18px;
  width:270px
}
.pi-item-spacing {
  padding-bottom:9px;
  padding-top:9px
}
.pi-border-color {
  border-color:var(--pi-border-color)
}
.pi-background {
  background-color:var(--pi-background)
}
.pi-secondary-background {
  background:var(--pi-secondary-background);
  color:var(--pi-secondary-background--label)
}
.pi-secondary-background+.pi-secondary-background {
  border-top:1px solid var(--pi-background)
}
.pi-secondary-background+*>.pi-data:first-child,
.pi-secondary-background+.pi-data {
  border-top:0
}
.portable-infobox .pi-secondary-background a {
  color:inherit
}
.pi-font {
  font-size:12px
}
.pi-secondary-font {
  font-size:14px;
  font-weight:700;
  line-height:1.25;
  margin-top:0
}
.pi-caption,
.pi-data,
.pi-header,
.pi-navigation,
.pi-title {
  padding-left:9px;
  padding-right:9px
}
.pi-header,
.pi-title {
  text-align:center
}
.pi-data {
  border-top-style:solid;
  border-top-width:1px;
  box-sizing:border-box;
  column-gap:9px;
  display:flex;
  flex-direction:row;
  overflow:hidden
}
.pi-image+.pi-data,
.pi-image-collection+.pi-data,
.pi-secondary-background+.pi-data,
.portable-infobox>.pi-data:first-child {
  border-top:0
}
.pi-layout-stacked .pi-data {
  display:block
}
.pi-data-label {
  flex-basis:90px;
  hyphens:auto;
  margin:0;
  overflow:hidden
}
.pi-data-value {
  hyphens:auto;
  line-height:1.5;
  overflow-wrap:break-word
}
.pi-data-value>* {
  margin:0
}
.pi-data-value:not(:first-child) {
  flex-basis:180px
}
.pi-image {
  text-align:center
}
.pi-image img {
  height:auto;
  max-width:100%;
  vertical-align:middle
}
.pi-caption {
  color:rgba(var(--theme-page-text-color--rgb),.6);
  font-size:14px;
  font-style:italic;
  hyphens:auto;
  overflow-wrap:break-word;
  text-align:center
}
.pi-horizontal-group {
  border-collapse:collapse;
  table-layout:fixed;
  text-align:center;
  width:100%
}
.pi-horizontal-group .pi-header {
  display:table-caption;
  text-align:left
}
.pi-horizontal-group .pi-secondary-background+* .pi-horizontal-group-item {
  border-top:0
}
.pi-horizontal-group-item.pi-data-label {
  border-top-style:solid;
  border-top-width:1px;
  padding:9px 9px 0
}
.pi-horizontal-group-item.pi-data-value {
  padding:0 9px 9px
}
.pi-horizontal-group-item:not(:first-child) {
  border-left-style:solid;
  border-left-width:1px
}
.pi-smart-group {
  border-top-style:solid;
  border-top-width:1px;
  display:flex;
  flex-direction:column;
  text-align:center
}
.pi-smart-group .pi-smart-data-label {
  margin-bottom:0;
  padding-bottom:0
}
.pi-smart-group .pi-smart-data-value,
.pi-smart-group h3.pi-smart-data-label {
  box-sizing:border-box;
  flex-basis:auto;
  margin:3px 0;
  padding:6px 9px
}
.pi-smart-group .pi-smart-data-value:not(:first-child),
.pi-smart-group h3.pi-smart-data-label:not(:first-child) {
  border-left-style:solid;
  border-left-width:1px
}
.pi-smart-group .pi-smart-data-value:first-child,
.pi-smart-group h3.pi-smart-data-label:first-child {
  padding-left:9px
}
.pi-smart-group .pi-smart-data-value:last-child,
.pi-smart-group h3.pi-smart-data-label:last-child {
  padding-right:9px
}
.pi-smart-group-body,
.pi-smart-group-head {
  display:flex
}
.pi-smart-group-head+.pi-smart-group-body {
  border-top-style:solid;
  border-top-width:1px
}
.pi-secondary-background+.pi-smart-group {
  border-top:0
}
.pi-collapse.pi-collapse-closed {
  border-bottom:none
}
.pi-collapse.pi-collapse-closed .pi-header:first-child:after {
  transform:rotate(135deg)
}
.pi-collapse.pi-collapse-closed .pi-horizontal-group tbody,
.pi-collapse.pi-collapse-closed .pi-horizontal-group thead,
.pi-collapse.pi-collapse-closed>:nth-child(n+2) {
  display:none
}
.pi-collapse .pi-header:first-child {
  cursor:pointer;
  padding-right:40px;
  position:relative;
  text-align:center
}
.pi-collapse .pi-header:first-child:after {
  border-color:currentcolor;
  border-style:solid;
  border-width:2px 2px 0 0;
  content:"";
  display:inline-block;
  display:block;
  height:8px;
  margin-top:-6px;
  position:relative;
  position:absolute;
  right:0;
  right:16px;
  top:-1px;
  top:50%;
  transform:rotate(-45deg);
  transition:transform .3s;
  vertical-align:middle;
  width:8px
}
}

Latest revision as of 22:34, 13 July 2026

:root, button, input, textarea, body.rubik {
    font-family: rubik,helvetica,arial,sans-serif !important;
}